Get import options
curl --request GET \
--url https://api.creditor.younegotiate.com/import-consumers/options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creditor.younegotiate.com/import-consumers/options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creditor.younegotiate.com/import-consumers/options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"headers": [
{
"id": 123,
"company_id": 123,
"subclient_id": 123,
"name": "<string>",
"headers": [
"Account Number",
"First Name",
"Last Name"
],
"date_format": "Y-m-d",
"mapped_headers": {
"account_number": "Account Number",
"first_name": "First Name"
},
"required_fields": [
"account_number",
"first_name",
"last_name"
],
"suggested_mapped_headers": {},
"auto_detected_fields": [
"<string>"
],
"is_mapped": true,
"sftp_connection_id": 123,
"sftp_connection": {
"id": 123,
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"import_types": [
{
"label": "<string>",
"short_label": "<string>"
}
],
"update_fields": [
{
"label": "<string>"
}
],
"setup_wizard": {
"completed": true,
"remaining_required_steps_count": 123
},
"account_usage": {
"current_membership_upload_limit_count": 123,
"existing_consumer_count": 123,
"remaining_consumer_count": 123,
"allow_over_limit": true,
"is_over_limit_blocked": true,
"accounts_over_limit": 123
},
"upload": {
"max_size_bytes": 104857600,
"ttl_minutes": 15
}
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}Get import options
Return mapped header profiles, import types, update fields, setup wizard state, account usage, and upload limits for creditor consumer imports.
GET
/
import-consumers
/
options
Get import options
Last modified on July 20, 2026
Was this page helpful?
⌘I

